%{
%--------------------------------------------------------------------------------------------------%
Copyright (C) <2011> by <Ralph Smith (rsmith@eos.ncsu.edu), Zhengzheng Hu (zhu4@ncsu.edu)>
<Department of Mathematics, North Carolina State University, Raleigh, NC 27695>

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
associated documentation files (the "Software"), to deal in the Software without restriction, 
including without limitation the rights to use, copy, modify, merge, publish, distribute, 
sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial
portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT 
NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES
OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN 
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
%}
%--------------------------------------------------------------------------------------------------%
% This function reconstructs the estimated parameters into a struct:
% params.
%--------------------------------------------------------------------------------------------------%
function [params]=reconstruct(params_est,params,non_opt_params)

params.P_R_p = params_est(1);
params.P_R_90 = params_est(2);
params.EPS_R_p = params_est(3);
params.EPS_R_90 = params_est(4);
params.gamma = params_est(5);
params.tau_90 = params_est(6);
params.chi_p = params_est(7);
params.d_p = params_est(8);
params.d_90 = params_est(9);
params.s_p = params_est(10);


for i = 1:non_opt_params.alpha_int
	params.alpha_int(i)=params_est(10+i);
end

for i = 1:non_opt_params.alpha_frac
	params.alpha_frac(i)=params_est(10+non_opt_params.alpha_int+i);
end

for i = 1:non_opt_params.beta_int
	params.beta_int(i)=params_est(10+non_opt_params.alpha_int+non_opt_params.alpha_frac+i);
end

for i = 1:non_opt_params.beta_frac
	params.beta_frac(i)=params_est(10+non_opt_params.alpha_int+non_opt_params.alpha_frac+non_opt_params.beta_int+i);
end
